#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1500\r"; sleep 2;
echo -e "write (0,1) -1500\r"; sleep 2;
echo -e "write (0,2) -1500\r"; sleep 2;
echo -e "write (0,3) -1500\r"; sleep 2;
echo -e "write (0,4) -1500\r"; sleep 2;
echo -e "write (0,5) -1500\r"; sleep 2;
echo -e "write (0,6) -1500\r"; sleep 2;
echo -e "write (0,9) -1500\r"; sleep 2;
echo -e "write (0,10) -1500\r"; sleep 2;
echo -e "write (0,11) -1500\r"; sleep 2;
echo -e "write (0,12) -1500\r"; sleep 2;
echo -e "write (0,13) -1500\r"; sleep 2;
echo -e "write (0,14) -1500\r"; sleep 2;
echo -e "write (1,0) -1500\r"; sleep 2;
echo -e "write (1,1) -1500\r"; sleep 2;
echo -e "write (1,2) -1500\r"; sleep 2;
echo -e "write (1,3) -1500\r"; sleep 2;
echo -e "write (1,4) -1500\r"; sleep 2;
echo -e "write (1,5) -1500\r"; sleep 2;
echo -e "write (1,6) -1500\r"; sleep 2;
echo -e "write (1,9) -1500\r"; sleep 2;
echo -e "write (1,10) -1500\r"; sleep 2;
echo -e "write (1,11) -1500\r"; sleep 2;
echo -e "write (1,12) -1500\r"; sleep 2;
echo -e "write (1,13) -1500\r"; sleep 2;
echo -e "write (1,14) -1500\r"; sleep 2;
echo -e "write (2,0) -1500\r"; sleep 2;
echo -e "write (2,1) -1500\r"; sleep 2;
echo -e "write (2,2) -1500\r"; sleep 2;
echo -e "write (2,3) -1500\r"; sleep 2;
echo -e "write (2,4) -1500\r"; sleep 2;
echo -e "write (2,5) -1500\r"; sleep 2;
echo -e "write (2,6) -1500\r"; sleep 2;
echo -e "write (2,9) -1500\r"; sleep 2;
echo -e "write (2,10) -1500\r"; sleep 2;
echo -e "write (2,11) -1500\r"; sleep 2;
echo -e "write (2,12) -1500\r"; sleep 2;
echo -e "write (2,13) -1500\r"; sleep 2;
echo -e "write (2,14) -1500\r"; sleep 2;
echo -e "write (3,0) -1500\r"; sleep 2;
echo -e "write (3,1) -1500\r"; sleep 2;
echo -e "write (3,2) -1500\r"; sleep 2;
echo -e "write (3,3) -1500\r"; sleep 2;
echo -e "write (3,4) -1500\r"; sleep 2;
echo -e "write (3,5) -1500\r"; sleep 2;
echo -e "write (3,6) -1500\r"; sleep 2;
echo -e "write (3,9) -1500\r"; sleep 2;
echo -e "write (3,10) -1500\r"; sleep 2;
echo -e "write (3,11) -1500\r"; sleep 2;
echo -e "write (3,12) -1500\r"; sleep 2;
echo -e "write (3,13) -1500\r"; sleep 2;
echo -e "write (3,14) -1500\r"; sleep 2;
echo -e "write (4,0) -1500\r"; sleep 2;
echo -e "write (4,1) -1500\r"; sleep 2;
echo -e "write (4,2) -1500\r"; sleep 2;
echo -e "write (4,3) -1500\r"; sleep 2;
echo -e "write (4,4) -1500\r"; sleep 2;
echo -e "write (4,5) -1500\r"; sleep 2;
echo -e "write (4,6) -1500\r"; sleep 2;
echo -e "write (4,9) -1500\r"; sleep 2;
echo -e "write (4,10) -1500\r"; sleep 2;
echo -e "write (4,11) -1500\r"; sleep 2;
echo -e "write (4,12) -1500\r"; sleep 2;
echo -e "write (4,13) -1500\r"; sleep 2;
echo -e "write (4,14) -1500\r"; sleep 2;
echo -e "write (5,0) -1500\r"; sleep 2;
echo -e "write (5,1) -1500\r"; sleep 2;
echo -e "write (5,2) -1500\r"; sleep 2;
echo -e "write (5,3) -1500\r"; sleep 2;
echo -e "write (5,4) -1500\r"; sleep 2;
echo -e "write (5,5) -1500\r"; sleep 2;
echo -e "write (5,6) -1500\r"; sleep 2;
echo -e "write (5,9) -1500\r"; sleep 2;
echo -e "write (5,10) -1500\r"; sleep 2;
echo -e "write (5,11) -1500\r"; sleep 2;
echo -e "write (5,12) -1500\r"; sleep 2;
echo -e "write (5,13) -1500\r"; sleep 2;
echo -e "write (5,14) -1500\r"; sleep 2;
echo -e "write (6,0) -1500\r"; sleep 2;
echo -e "write (6,1) -1500\r"; sleep 2;
echo -e "write (6,2) -1500\r"; sleep 2;
echo -e "write (6,3) -1500\r"; sleep 2;
echo -e "write (6,4) -1500\r"; sleep 2;
echo -e "write (6,5) -1500\r"; sleep 2;
echo -e "write (6,6) -1500\r"; sleep 2;
echo -e "write (6,9) -1500\r"; sleep 2;
echo -e "write (6,10) -1500\r"; sleep 2;
echo -e "write (6,11) -1500\r"; sleep 2;
echo -e "write (6,12) -1500\r"; sleep 2;
echo -e "write (6,13) -1500\r"; sleep 2;
echo -e "write (6,14) -1500\r"; sleep 2;
echo -e "write (7,0) -1500\r"; sleep 2;
echo -e "write (7,1) -1500\r"; sleep 2;
echo -e "write (7,3) -1500\r"; sleep 2;
echo -e "write (7,4) -1500\r"; sleep 2;
echo -e "write (7,5) -1500\r"; sleep 2;
echo -e "write (7,6) -1500\r"; sleep 2;
echo -e "write (7,8) -1500\r"; sleep 2;
echo -e "write (7,9) -1500\r"; sleep 2;
echo -e "write (7,10) -1500\r"; sleep 2;
echo -e "write (7,11) -1500\r"; sleep 2;
echo -e "write (7,12) -1500\r"; sleep 2;
echo -e "write (7,13) -1500\r"; sleep 2;
echo -e "write (7,14) -1500\r"; sleep 2;
echo -e "write (8,0) -1500\r"; sleep 2;
echo -e "write (8,1) -1500\r"; sleep 2;
echo -e "write (8,2) -1500\r"; sleep 2;
echo -e "write (8,3) -1500\r"; sleep 2;
echo -e "write (8,4) -1500\r"; sleep 2;
echo -e "write (8,5) -1500\r"; sleep 2;
echo -e "write (8,6) -1500\r"; sleep 2;
echo -e "write (8,9) -1500\r"; sleep 2;
echo -e "write (8,10) -1500\r"; sleep 2;
echo -e "write (8,11) -1500\r"; sleep 2;
echo -e "write (8,12) -1500\r"; sleep 2;
echo -e "write (8,13) -1500\r"; sleep 2;
echo -e "write (8,14) -1500\r"; sleep 2;
echo -e "write (9,0) -1500\r"; sleep 2;
echo -e "write (9,1) -1500\r"; sleep 2;
echo -e "write (9,2) -1500\r"; sleep 2;
echo -e "write (9,3) -1500\r"; sleep 2;
echo -e "write (9,4) -1500\r"; sleep 2;
echo -e "write (9,5) -1500\r"; sleep 2;
echo -e "write (9,6) -1500\r"; sleep 2;
echo -e "write (9,9) -1500\r"; sleep 2;
echo -e "write (9,10) -1500\r"; sleep 2;
echo -e "write (9,11) -1500\r"; sleep 2;
echo -e "write (9,12) -1500\r"; sleep 2;
echo -e "write (9,13) -1500\r"; sleep 2;
echo -e "write (9,14) -1500\r"; sleep 2;
echo -e "write (10,0) -1500\r"; sleep 2;
echo -e "write (10,1) -1500\r"; sleep 2;
echo -e "write (10,2) -1500\r"; sleep 2;
echo -e "write (10,3) -1500\r"; sleep 2;
echo -e "write (10,4) -1500\r"; sleep 2;
echo -e "write (10,5) -1500\r"; sleep 2;
echo -e "write (10,6) -1500\r"; sleep 2;
echo -e "write (10,9) -1500\r"; sleep 2;
echo -e "write (10,10) -1500\r"; sleep 2;
echo -e "write (10,11) -1500\r"; sleep 2;
echo -e "write (10,12) -1500\r"; sleep 2;
echo -e "write (10,13) -1500\r"; sleep 2;
echo -e "write (10,14) -1500\r"; sleep 2;
echo -e "write (11,0) -1500\r"; sleep 2;
echo -e "write (11,1) -1500\r"; sleep 2;
echo -e "write (11,2) -1500\r"; sleep 2;
echo -e "write (11,4) -1500\r"; sleep 2;
echo -e "write (11,5) -1500\r"; sleep 2;
echo -e "write (11,6) -1500\r"; sleep 2;
echo -e "write (11,9) -1500\r"; sleep 2;
echo -e "write (11,10) -1500\r"; sleep 2;
echo -e "write (11,11) -1500\r"; sleep 2;
echo -e "write (11,12) -1500\r"; sleep 2;
echo -e "write (11,13) -1500\r"; sleep 2;
echo -e "write (11,14) -1500\r"; sleep 2;
echo -e "write (11,15) -1500\r"; sleep 2;
echo -e "write (12,1) -1500\r"; sleep 2;
echo -e "write (12,2) -1500\r"; sleep 2;
echo -e "write (12,3) -1500\r"; sleep 2;
echo -e "write (12,4) -1500\r"; sleep 2;
echo -e "write (12,5) -1500\r"; sleep 2;
echo -e "write (12,8) -1500\r"; sleep 2;
echo -e "write (12,9) -1500\r"; sleep 2;
echo -e "write (12,10) -1500\r"; sleep 2;
echo -e "write (12,11) -1500\r"; sleep 2;
echo -e "write (12,12) -1500\r"; sleep 2;
echo -e "write (12,13) -1500\r"; sleep 2;
echo -e "write (12,14) -1500\r"; sleep 2;
echo -e "write (12,15) -1500\r"; sleep 2;
echo -e "write (13,0) -1500\r"; sleep 2;
echo -e "write (13,1) -1500\r"; sleep 2;
echo -e "write (13,2) -1500\r"; sleep 2;
echo -e "write (13,3) -1500\r"; sleep 2;
echo -e "write (13,4) -1500\r"; sleep 2;
echo -e "write (13,5) -1500\r"; sleep 2;
echo -e "write (13,6) -1500\r"; sleep 2;
echo -e "write (13,9) -1500\r"; sleep 2;
echo -e "write (13,10) -1500\r"; sleep 2;
echo -e "write (13,11) -1500\r"; sleep 2;
echo -e "write (13,12) -1500\r"; sleep 2;
echo -e "write (13,13) -1500\r"; sleep 2;
echo -e "write (13,14) -1500\r"; sleep 2;
echo -e "write (14,0) -1500\r"; sleep 2;
echo -e "write (14,1) -1500\r"; sleep 2;
echo -e "write (14,2) -1500\r"; sleep 2;
echo -e "write (14,3) -1500\r"; sleep 2;
echo -e "write (14,4) -1500\r"; sleep 2;
echo -e "write (14,5) -1500\r"; sleep 2;
echo -e "write (14,6) -1500\r"; sleep 2;
echo -e "write (14,9) -1500\r"; sleep 2;
echo -e "write (14,10) -1500\r"; sleep 2;
echo -e "write (14,11) -1500\r"; sleep 2;
echo -e "write (14,12) -1500\r"; sleep 2;
echo -e "write (14,13) -1500\r"; sleep 2;
echo -e "write (14,14) -1500\r"; sleep 2;
echo -e "write (15,0) -1500\r"; sleep 2;
echo -e "write (15,1) -1500\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
